import request from '@/utils/request'

// 分页查询
export const pageList = (query) => {
  return request({
    url: '/thirdapi/sms/template/pageList',
    method: 'get',
    params: query
  })
}

// 新增修改
export const saveAndEdit = (data) => {
  return request({
    url: '/thirdapi/sms/template/insertAndUpdate',
    method: 'post',
    data: data
  })
}


// 删除
export const deleteById = (id) => {
  return request({
    url: '/thirdapi/sms/template/deleteById',
    method: 'delete',
    params: {id:id}
  })
}


// 禁用启用
export const ionline = (data) => {
  return request({
    url: '/thirdapi/sms/template/enable',
    method: 'post',
    data: data
  })
}
